depends = ('ITKPyBase', 'ITKSmoothing', 'ITKRegistrationCommon', 'ITKOptimizers', 'ITKImageNoise', 'ITKIOTIFF', 'ITKIORAW', 'ITKIOMeta', 'ITKIOGDCM', 'ITKFFT', 'ITKConvolution', 'ITKCommon', 'ITKBridgeNumPy', )
templates = (  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayi2', False, 'int, 2'),
  ('Vector', 'itk::Vector', 'itkVectori2', False, 'int, 2'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorD1', False, 'double, 1'),
  ('Point', 'itk::Point', 'itkPointD1', False, 'double, 1'),
  ('vector', 'std::vector', 'vectoritkPointD1', False, 'itk::Point< double, 1  >'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexD1', False, 'double, 1'),
  ('Matrix', 'itk::Matrix', 'itkMatrixD11', False, 'double, 1, 1'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorI', False, 'int'),
  ('ImageBase', 'itk::ImageBase', 'itkImageBase1', False, '1'),
  ('Image', 'itk::Image', 'itkImageUS1', False, 'unsigned short, 1'),
  ('vector', 'std::vector', 'vectoritkImageUS1', False, 'itk::Image< unsigned short, 1  > '),
  ('Image', 'itk::Image', 'itkImageUC1', False, 'unsigned char, 1'),
  ('vector', 'std::vector', 'vectoritkImageUC1', False, 'itk::Image< unsigned char, 1  > '),
  ('Image', 'itk::Image', 'itkImageF1', False, 'float, 1'),
  ('vector', 'std::vector', 'vectoritkImageF1', False, 'itk::Image< float, 1  > '),
  ('Image', 'itk::Image', 'itkImageD1', False, 'double, 1'),
  ('vector', 'std::vector', 'vectoritkImageD1', False, 'itk::Image< double, 1  > '),
  ('Image', 'itk::Image', 'itkImageVF52', False, 'itk::Vector< float,5 >, 2'),
  ('vector', 'std::vector', 'vectoritkImageVF52', False, 'itk::Image< itk::Vector< float,5 >, 2  > '),
  ('Image', 'itk::Image', 'itkImageCVF52', False, 'itk::CovariantVector< float,5 >, 2'),
  ('vector', 'std::vector', 'vectoritkImageCVF52', False, 'itk::Image< itk::CovariantVector< float,5 >, 2  > '),
  ('Image', 'itk::Image', 'itkImageVF53', False, 'itk::Vector< float,5 >, 3'),
  ('vector', 'std::vector', 'vectoritkImageVF53', False, 'itk::Image< itk::Vector< float,5 >, 3  > '),
  ('Image', 'itk::Image', 'itkImageCVF53', False, 'itk::CovariantVector< float,5 >, 3'),
  ('vector', 'std::vector', 'vectoritkImageCVF53', False, 'itk::Image< itk::CovariantVector< float,5 >, 3  > '),
  ('Image', 'itk::Image', 'itkImageVF54', False, 'itk::Vector< float,5 >, 4'),
  ('vector', 'std::vector', 'vectoritkImageVF54', False, 'itk::Image< itk::Vector< float,5 >, 4  > '),
  ('Image', 'itk::Image', 'itkImageCVF54', False, 'itk::CovariantVector< float,5 >, 4'),
  ('vector', 'std::vector', 'vectoritkImageCVF54', False, 'itk::Image< itk::CovariantVector< float,5 >, 4  > '),
  ('Image', 'itk::Image', 'itkImageCVD53', False, 'itk::CovariantVector<double,5>, 3'),
  ('vector', 'std::vector', 'vectoritkImageCVD53', False, 'itk::Image< itk::CovariantVector<double,5>, 3  > '),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageF2', False, 'float, 2'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageF3', False, 'float, 3'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageF4', False, 'float, 4'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF22', False, 'itk::Vector< float,2 >, 2'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF22', False, 'itk::CovariantVector< float,2 >, 2'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF23', False, 'itk::Vector< float,2 >, 3'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF23', False, 'itk::CovariantVector< float,2 >, 3'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF24', False, 'itk::Vector< float,2 >, 4'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF24', False, 'itk::CovariantVector< float,2 >, 4'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF32', False, 'itk::Vector< float,3 >, 2'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF32', False, 'itk::CovariantVector< float,3 >, 2'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF33', False, 'itk::Vector< float,3 >, 3'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF33', False, 'itk::CovariantVector< float,3 >, 3'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF34', False, 'itk::Vector< float,3 >, 4'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF34', False, 'itk::CovariantVector< float,3 >, 4'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF42', False, 'itk::Vector< float,4 >, 2'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF42', False, 'itk::CovariantVector< float,4 >, 2'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF43', False, 'itk::Vector< float,4 >, 3'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF43', False, 'itk::CovariantVector< float,4 >, 3'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF44', False, 'itk::Vector< float,4 >, 4'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF44', False, 'itk::CovariantVector< float,4 >, 4'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF52', False, 'itk::Vector< float,5 >, 2'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF52', False, 'itk::CovariantVector< float,5 >, 2'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF53', False, 'itk::Vector< float,5 >, 3'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF53', False, 'itk::CovariantVector< float,5 >, 3'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageVF54', False, 'itk::Vector< float,5 >, 4'),
  ('CudaImage', 'itk::CudaImage', 'itkCudaImageCVF54', False, 'itk::CovariantVector< float,5 >, 4'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIF1', False, 'itk::Image<float, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceID1', False, 'itk::Image<double, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUS1', False, 'itk::Image<unsigned short, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF52', False, 'itk::Image<itk::Vector< float,5 >, 2>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF54', False, 'itk::Image<itk::Vector< float,5 >, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIF2', False, 'itk::CudaImage<float, 2>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIF3', False, 'itk::CudaImage<float, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIF4', False, 'itk::CudaImage<float, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF22', False, 'itk::CudaImage<itk::Vector< float,2 >, 2>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF24', False, 'itk::CudaImage<itk::Vector< float,2 >, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF32', False, 'itk::CudaImage<itk::Vector< float,3 >, 2>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF34', False, 'itk::CudaImage<itk::Vector< float,3 >, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF42', False, 'itk::CudaImage<itk::Vector< float,4 >, 2>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF44', False, 'itk::CudaImage<itk::Vector< float,4 >, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF52', False, 'itk::CudaImage<itk::Vector< float,5 >, 2>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceCIVF54', False, 'itk::CudaImage<itk::Vector< float,5 >, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVD23', False, 'itk::Image<itk::CovariantVector<double, 2>, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVD43', False, 'itk::Image<itk::CovariantVector<double, 4>, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVD53', False, 'itk::Image<itk::CovariantVector<double, 5>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF1IF1', False, 'itk::Image<float, 1>, itk::Image<float, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID1ID1', False, 'itk::Image<double, 1>, itk::Image<double, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3ID2', False, 'itk::Image<float, 3>, itk::Image<double, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIF2CIF2', False, 'itk::CudaImage<float, 2>, itk::CudaImage<float, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIF4CIF4', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF22CIVF22', False, 'itk::CudaImage<itk::Vector< float,2 >, 2>, itk::CudaImage<itk::Vector< float,2 >, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF24CIVF24', False, 'itk::CudaImage<itk::Vector< float,2 >, 4>, itk::CudaImage<itk::Vector< float,2 >, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF32CIVF32', False, 'itk::CudaImage<itk::Vector< float,3 >, 2>, itk::CudaImage<itk::Vector< float,3 >, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF34CIVF34', False, 'itk::CudaImage<itk::Vector< float,3 >, 4>, itk::CudaImage<itk::Vector< float,3 >, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF42CIVF42', False, 'itk::CudaImage<itk::Vector< float,4 >, 2>, itk::CudaImage<itk::Vector< float,4 >, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF44CIVF44', False, 'itk::CudaImage<itk::Vector< float,4 >, 4>, itk::CudaImage<itk::Vector< float,4 >, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF52CIVF52', False, 'itk::CudaImage<itk::Vector< float,5 >, 2>, itk::CudaImage<itk::Vector< float,5 >, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCIVF54CIVF54', False, 'itk::CudaImage<itk::Vector< float,5 >, 4>, itk::CudaImage<itk::Vector< float,5 >, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF52IVF52', False, 'itk::Image<itk::Vector< float,5 >, 2>, itk::Image<itk::Vector< float,5 >, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF53IVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>, itk::Image<itk::Vector< float,5 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF54IVF54', False, 'itk::Image<itk::Vector< float,5 >, 4>, itk::Image<itk::Vector< float,5 >, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF24IVF23', False, 'itk::Image<itk::Vector< float,2 >, 4>, itk::Image<itk::Vector< float,2 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF34IVF33', False, 'itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF44IVF43', False, 'itk::Image<itk::Vector< float,4 >, 4>, itk::Image<itk::Vector< float,4 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF54IVF53', False, 'itk::Image<itk::Vector< float,5 >, 4>, itk::Image<itk::Vector< float,5 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVD23ICVD23', False, 'itk::Image<itk::CovariantVector<double, 2>, 3>, itk::Image<itk::CovariantVector<double, 2>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVD33ICVD33', False, 'itk::Image<itk::CovariantVector<double, 3>, 3>, itk::Image<itk::CovariantVector<double, 3>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVD43ICVD43', False, 'itk::Image<itk::CovariantVector<double, 4>, 3>, itk::Image<itk::CovariantVector<double, 4>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVD53ICVD53', False, 'itk::Image<itk::CovariantVector<double, 5>, 3>, itk::Image<itk::CovariantVector<double, 5>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IF1', False, 'itk::Image<float, 2>, itk::Image<float, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3VIF2', False, 'itk::Image<float, 3>, itk::VectorImage<float, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IF3', False, 'itk::VectorImage<float, 2>, itk::Image<float, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF3IF4', False, 'itk::VectorImage<float, 3>, itk::Image<float, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2ID1', False, 'itk::Image<double, 2>, itk::Image<double, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3VID2', False, 'itk::Image<double, 3>, itk::VectorImage<double, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2ID3', False, 'itk::VectorImage<double, 2>, itk::Image<double, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID3ID4', False, 'itk::VectorImage<double, 3>, itk::Image<double, 4>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF2CIF2', False, 'itk::CudaImage<float, 2>, itk::CudaImage<float, 2>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF4CIF4', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 4>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF22CIVF22', False, 'itk::CudaImage<itk::Vector< float,2 >, 2>, itk::CudaImage<itk::Vector< float,2 >, 2>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF24CIVF24', False, 'itk::CudaImage<itk::Vector< float,2 >, 4>, itk::CudaImage<itk::Vector< float,2 >, 4>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF32CIVF32', False, 'itk::CudaImage<itk::Vector< float,3 >, 2>, itk::CudaImage<itk::Vector< float,3 >, 2>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF34CIVF34', False, 'itk::CudaImage<itk::Vector< float,3 >, 4>, itk::CudaImage<itk::Vector< float,3 >, 4>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF42CIVF42', False, 'itk::CudaImage<itk::Vector< float,4 >, 2>, itk::CudaImage<itk::Vector< float,4 >, 2>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF44CIVF44', False, 'itk::CudaImage<itk::Vector< float,4 >, 4>, itk::CudaImage<itk::Vector< float,4 >, 4>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF52CIVF52', False, 'itk::CudaImage<itk::Vector< float,5 >, 2>, itk::CudaImage<itk::Vector< float,5 >, 2>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF54CIVF54', False, 'itk::CudaImage<itk::Vector< float,5 >, 4>, itk::CudaImage<itk::Vector< float,5 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF1IF1', False, 'itk::Image<float, 1>, itk::Image<float, 1>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID1ID1', False, 'itk::Image<double, 1>, itk::Image<double, 1>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUI2IF2', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUI3IF3', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUI2ID2', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUI3ID3', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3ID2', False, 'itk::Image<float, 3>, itk::Image<double, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIF2', False, 'itk::CudaImage<float, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIF3', False, 'itk::CudaImage<float, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIF4', False, 'itk::CudaImage<float, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF22', False, 'itk::CudaImage<itk::Vector< float,2 >, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF22CIVF22', False, 'itk::CudaImage<itk::Vector< float,2 >, 2>, itk::CudaImage<itk::Vector< float,2 >, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF24', False, 'itk::CudaImage<itk::Vector< float,2 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF24CIVF24', False, 'itk::CudaImage<itk::Vector< float,2 >, 4>, itk::CudaImage<itk::Vector< float,2 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF32', False, 'itk::CudaImage<itk::Vector< float,3 >, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF32CIVF32', False, 'itk::CudaImage<itk::Vector< float,3 >, 2>, itk::CudaImage<itk::Vector< float,3 >, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF34', False, 'itk::CudaImage<itk::Vector< float,3 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF34CIVF34', False, 'itk::CudaImage<itk::Vector< float,3 >, 4>, itk::CudaImage<itk::Vector< float,3 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF42', False, 'itk::CudaImage<itk::Vector< float,4 >, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF42CIVF42', False, 'itk::CudaImage<itk::Vector< float,4 >, 2>, itk::CudaImage<itk::Vector< float,4 >, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF44', False, 'itk::CudaImage<itk::Vector< float,4 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF44CIVF44', False, 'itk::CudaImage<itk::Vector< float,4 >, 4>, itk::CudaImage<itk::Vector< float,4 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF52', False, 'itk::CudaImage<itk::Vector< float,5 >, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF52CIVF52', False, 'itk::CudaImage<itk::Vector< float,5 >, 2>, itk::CudaImage<itk::Vector< float,5 >, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF54', False, 'itk::CudaImage<itk::Vector< float,5 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterCIVF54CIVF54', False, 'itk::CudaImage<itk::Vector< float,5 >, 4>, itk::CudaImage<itk::Vector< float,5 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF52IVF52', False, 'itk::Image<itk::Vector< float,5 >, 2>, itk::Image<itk::Vector< float,5 >, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF53IVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>, itk::Image<itk::Vector< float,5 >, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF54IVF54', False, 'itk::Image<itk::Vector< float,5 >, 4>, itk::Image<itk::Vector< float,5 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF3VIF3', False, 'itk::VectorImage<float, 3>, itk::VectorImage<float, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVID3VID3', False, 'itk::VectorImage<double, 3>, itk::VectorImage<double, 3>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIF2CIF2', False, 'itk::CudaImage<float, 2>, itk::CudaImage<float, 2>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIF4CIF4', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 4>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF22CIVF22', False, 'itk::CudaImage<itk::Vector<float,2>, 2>, itk::CudaImage<itk::Vector<float,2>, 2>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector<float,2>, 3>, itk::CudaImage<itk::Vector<float,2>, 3>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF24CIVF24', False, 'itk::CudaImage<itk::Vector<float,2>, 4>, itk::CudaImage<itk::Vector<float,2>, 4>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF32CIVF32', False, 'itk::CudaImage<itk::Vector<float,3>, 2>, itk::CudaImage<itk::Vector<float,3>, 2>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector<float,3>, 3>, itk::CudaImage<itk::Vector<float,3>, 3>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF34CIVF34', False, 'itk::CudaImage<itk::Vector<float,3>, 4>, itk::CudaImage<itk::Vector<float,3>, 4>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF42CIVF42', False, 'itk::CudaImage<itk::Vector<float,4>, 2>, itk::CudaImage<itk::Vector<float,4>, 2>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector<float,4>, 3>, itk::CudaImage<itk::Vector<float,4>, 3>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF44CIVF44', False, 'itk::CudaImage<itk::Vector<float,4>, 4>, itk::CudaImage<itk::Vector<float,4>, 4>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF52CIVF52', False, 'itk::CudaImage<itk::Vector<float,5>, 2>, itk::CudaImage<itk::Vector<float,5>, 2>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector<float,5>, 3>, itk::CudaImage<itk::Vector<float,5>, 3>'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF54CIVF54', False, 'itk::CudaImage<itk::Vector<float,5>, 4>, itk::CudaImage<itk::Vector<float,5>, 4>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF2CIF2IPIFCIF2', False, 'itk::CudaImage<float, 2>, itk::CudaImage<float, 2>, itk::InPlaceImageFilter< itk::CudaImage<float, 2> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF3CIF3IPIFCIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, itk::InPlaceImageFilter< itk::CudaImage<float, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF4CIF4IPIFCIF4', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 4>, itk::InPlaceImageFilter< itk::CudaImage<float, 4> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF22CIVF22IPIFCIVF22', False, 'itk::CudaImage<itk::Vector< float,2 >, 2>, itk::CudaImage<itk::Vector< float,2 >, 2>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,2 >, 2> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF23CIVF23IPIFCIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,2 >, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF24CIVF24IPIFCIVF24', False, 'itk::CudaImage<itk::Vector< float,2 >, 4>, itk::CudaImage<itk::Vector< float,2 >, 4>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,2 >, 4> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF32CIVF32IPIFCIVF32', False, 'itk::CudaImage<itk::Vector< float,3 >, 2>, itk::CudaImage<itk::Vector< float,3 >, 2>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,3 >, 2> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF33CIVF33IPIFCIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,3 >, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF34CIVF34IPIFCIVF34', False, 'itk::CudaImage<itk::Vector< float,3 >, 4>, itk::CudaImage<itk::Vector< float,3 >, 4>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,3 >, 4> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF42CIVF42IPIFCIVF42', False, 'itk::CudaImage<itk::Vector< float,4 >, 2>, itk::CudaImage<itk::Vector< float,4 >, 2>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,4 >, 2> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF43CIVF43IPIFCIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,4 >, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF44CIVF44IPIFCIVF44', False, 'itk::CudaImage<itk::Vector< float,4 >, 4>, itk::CudaImage<itk::Vector< float,4 >, 4>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,4 >, 4> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF52CIVF52IPIFCIVF52', False, 'itk::CudaImage<itk::Vector< float,5 >, 2>, itk::CudaImage<itk::Vector< float,5 >, 2>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,5 >, 2> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF53CIVF53IPIFCIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,5 >, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF54CIVF54IPIFCIVF54', False, 'itk::CudaImage<itk::Vector< float,5 >, 4>, itk::CudaImage<itk::Vector< float,5 >, 4>, itk::InPlaceImageFilter< itk::CudaImage<itk::Vector< float,5 >, 4> >'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIVF23IVF23', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,2 >,3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIVF33IVF33', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,3 >,3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIVF43IVF43', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,4 >,3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIVF53IVF53', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,5 >,3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIVF52', False, 'itk::Image<itk::Vector< float,5 >,2>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferICVF52', False, 'itk::Image<itk::CovariantVector< float,5 >,2>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIVF53', False, 'itk::Image<itk::Vector< float,5 >,3>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferICVF53', False, 'itk::Image<itk::CovariantVector< float,5 >,3>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIVF54', False, 'itk::Image<itk::Vector< float,5 >,4>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferICVF54', False, 'itk::Image<itk::CovariantVector< float,5 >,4>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferID1', False, 'itk::Image<double, 1>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIUS1', False, 'itk::Image<unsigned short, 1>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIF1', False, 'itk::Image<float, 1>'),
  ('CudaDataManager', 'itk::CudaDataManager', 'itkCudaDataManager', False),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIF2', False, 'itk::CudaImage<float, 2>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIF3', False, 'itk::CudaImage<float, 3>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIF4', False, 'itk::CudaImage<float, 4>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF22', False, 'itk::CudaImage<itk::Vector< float,2 >, 2>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF22', False, 'itk::CudaImage<itk::CovariantVector< float,2 >, 2>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF23', False, 'itk::CudaImage<itk::CovariantVector< float,2 >, 3>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF24', False, 'itk::CudaImage<itk::Vector< float,2 >, 4>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF24', False, 'itk::CudaImage<itk::CovariantVector< float,2 >, 4>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF32', False, 'itk::CudaImage<itk::Vector< float,3 >, 2>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF32', False, 'itk::CudaImage<itk::CovariantVector< float,3 >, 2>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF33', False, 'itk::CudaImage<itk::CovariantVector< float,3 >, 3>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF34', False, 'itk::CudaImage<itk::Vector< float,3 >, 4>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF34', False, 'itk::CudaImage<itk::CovariantVector< float,3 >, 4>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF42', False, 'itk::CudaImage<itk::Vector< float,4 >, 2>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF42', False, 'itk::CudaImage<itk::CovariantVector< float,4 >, 2>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF43', False, 'itk::CudaImage<itk::CovariantVector< float,4 >, 3>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF44', False, 'itk::CudaImage<itk::Vector< float,4 >, 4>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF44', False, 'itk::CudaImage<itk::CovariantVector< float,4 >, 4>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF52', False, 'itk::CudaImage<itk::Vector< float,5 >, 2>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF52', False, 'itk::CudaImage<itk::CovariantVector< float,5 >, 2>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF53', False, 'itk::CudaImage<itk::CovariantVector< float,5 >, 3>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCIVF54', False, 'itk::CudaImage<itk::Vector< float,5 >, 4>'),
  ('CudaImageDataManager', 'itk::CudaImageDataManager', 'itkCudaImageDataManagerCICVF54', False, 'itk::CudaImage<itk::CovariantVector< float,5 >, 4>'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorID1', False, 'itk::Image<double, 1>'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUS1', False, 'itk::Image<unsigned short, 1>'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIF1', False, 'itk::Image<float, 1>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF52', False, 'itk::Image<itk::Vector< float,5 >, 2>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF54', False, 'itk::Image<itk::Vector< float,5 >, 4>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderID1', False, 'itk::Image<double, 1>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS1', False, 'itk::Image<unsigned short, 1>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF1', False, 'itk::Image<float, 1>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF52', False, 'itk::Image<itk::Vector< float,5 >, 2>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF54', False, 'itk::Image<itk::Vector< float,5 >, 4>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterID1', False, 'itk::Image<double, 1>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUS1', False, 'itk::Image<unsigned short, 1>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF1', False, 'itk::Image<float, 1>'),
  ('ImageRegion', 'itk::ImageRegion', 'itkImageRegion1', False, '1'),
  ('vector', 'std::vector', 'vectoritkImageRegion1', False, 'itk::ImageRegion< 1  >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF2IF2ICVF22', False, 'itk::Image<float, 2>, itk::Image<float, 2>, itk::Image< itk::CovariantVector<float, 2>, 2>'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterID2ID2ICVD22', False, 'itk::Image<double, 2>, itk::Image<double, 2>, itk::Image< itk::CovariantVector<double, 2>, 2>'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF3IF3ICVF33', False, 'itk::Image<float, 3>, itk::Image<float, 3>, itk::Image< itk::CovariantVector<float, 3>, 3>'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterID3ID3ICVD33', False, 'itk::Image<double, 3>, itk::Image<double, 3>, itk::Image< itk::CovariantVector<double, 3>, 3>'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF4IF4ICVF44', False, 'itk::Image<float, 4>, itk::Image<float, 4>, itk::Image< itk::CovariantVector<float, 4>, 4>'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterID4ID4ICVD44', False, 'itk::Image<double, 4>, itk::Image<double, 4>, itk::Image< itk::CovariantVector<double, 4>, 4>'),
  ('ADMMTotalVariationConeBeamReconstructionFilter', 'rtk::ADMMTotalVariationConeBeamReconstructionFilter', 'rtkADMMTotalVariationConeBeamReconstructionFilterCIF3', False, 'itk::CudaImage<float, 3>'),
  ('ADMMTotalVariationConeBeamReconstructionFilter', 'rtk::ADMMTotalVariationConeBeamReconstructionFilter', 'rtkADMMTotalVariationConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('ADMMTotalVariationConeBeamReconstructionFilter', 'rtk::ADMMTotalVariationConeBeamReconstructionFilter', 'rtkADMMTotalVariationConeBeamReconstructionFilterID3', False, 'itk::Image< double,3 >'),
  ('ADMMWaveletsConeBeamReconstructionFilter', 'rtk::ADMMWaveletsConeBeamReconstructionFilter', 'rtkADMMWaveletsConeBeamReconstructionFilterCIF3', False, 'itk::CudaImage<float, 3>'),
  ('ADMMWaveletsConeBeamReconstructionFilter', 'rtk::ADMMWaveletsConeBeamReconstructionFilter', 'rtkADMMWaveletsConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('ADMMWaveletsConeBeamReconstructionFilter', 'rtk::ADMMWaveletsConeBeamReconstructionFilter', 'rtkADMMWaveletsConeBeamReconstructionFilterID3', False, 'itk::Image< double,3 >'),
  ('AmsterdamShroudImageFilter', 'rtk::AmsterdamShroudImageFilter', 'rtkAmsterdamShroudImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('AmsterdamShroudImageFilter', 'rtk::AmsterdamShroudImageFilter', 'rtkAmsterdamShroudImageFilterID3', False, 'itk::Image< double,3 >'),
  ('BackProjectionImageFilter', 'rtk::BackProjectionImageFilter', 'rtkBackProjectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BackProjectionImageFilter', 'rtk::BackProjectionImageFilter', 'rtkBackProjectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('BackProjectionImageFilter', 'rtk::BackProjectionImageFilter', 'rtkBackProjectionImageFilterCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>'),
  ('BackProjectionImageFilter', 'rtk::BackProjectionImageFilter', 'rtkBackProjectionImageFilterCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('BackProjectionImageFilter', 'rtk::BackProjectionImageFilter', 'rtkBackProjectionImageFilterCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('BackProjectionImageFilter', 'rtk::BackProjectionImageFilter', 'rtkBackProjectionImageFilterCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('BackProjectionImageFilter', 'rtk::BackProjectionImageFilter', 'rtkBackProjectionImageFilterCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF3CIF3BPCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::BackProjectionImageFilter< itk::CudaImage<float, 3>, itk::CudaImage<float, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF23CIVF23BPCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>, rtk::BackProjectionImageFilter< itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF33CIVF33BPCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>, rtk::BackProjectionImageFilter< itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF43CIVF43BPCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>, rtk::BackProjectionImageFilter< itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF53CIVF53BPCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>, rtk::BackProjectionImageFilter< itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIF3CIF3BPCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::BackProjectionImageFilter< itk::CudaImage<float, 3>, itk::CudaImage<float, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF23CIVF23BPCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>, rtk::BackProjectionImageFilter< itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF33CIVF33BPCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>, rtk::BackProjectionImageFilter< itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF43CIVF43BPCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>, rtk::BackProjectionImageFilter< itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF53CIVF53BPCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>, rtk::BackProjectionImageFilter< itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3> >'),
  ('BioscanGeometryReader', 'rtk::BioscanGeometryReader', 'rtkBioscanGeometryReader', False),
  ('BoellaardScatterCorrectionImageFilter', 'rtk::BoellaardScatterCorrectionImageFilter', 'rtkBoellaardScatterCorrectionImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('BoellaardScatterCorrectionImageFilter', 'rtk::BoellaardScatterCorrectionImageFilter', 'rtkBoellaardScatterCorrectionImageFilterID3', False, 'itk::Image< double,3 >'),
  ('BoxShape', 'rtk::BoxShape', 'rtkBoxShape', False),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterIF4', False, 'itk::Image< float,4 >'),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterID2', False, 'itk::Image< double,2 >'),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterID3', False, 'itk::Image< double,3 >'),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterID4', False, 'itk::Image< double,4 >'),
  ('ConjugateGradientConeBeamReconstructionFilter', 'rtk::ConjugateGradientConeBeamReconstructionFilter', 'rtkConjugateGradientConeBeamReconstructionFilterCIF3', False, 'itk::CudaImage<float, 3>'),
  ('ConjugateGradientConeBeamReconstructionFilter', 'rtk::ConjugateGradientConeBeamReconstructionFilter', 'rtkConjugateGradientConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('ConjugateGradientConeBeamReconstructionFilter', 'rtk::ConjugateGradientConeBeamReconstructionFilter', 'rtkConjugateGradientConeBeamReconstructionFilterID3', False, 'itk::Image< double,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIF2', False, 'itk::Image< float,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIF3', False, 'itk::Image< float,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIF4', False, 'itk::Image< float,4 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceID2', False, 'itk::Image< double,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceID3', False, 'itk::Image< double,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceID4', False, 'itk::Image< double,4 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF22', False, 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF23', False, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF24', False, 'itk::Image< itk::Vector< float,2 >,4 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF32', False, 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF33', False, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF34', False, 'itk::Image< itk::Vector< float,3 >,4 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF42', False, 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF43', False, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF44', False, 'itk::Image< itk::Vector< float,4 >,4 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceCIF2', False, 'itk::CudaImage<float, 2>'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceCIF3', False, 'itk::CudaImage<float, 3>'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceCIF4', False, 'itk::CudaImage<float, 4>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF3CIF3CteISrcCIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::ConstantImageSource< itk::CudaImage<float, 3> >'),
  ('ConvexShape', 'rtk::ConvexShape', 'rtkConvexShape', False),
  ('CudaBackProjectionImageFilter', 'rtk::CudaBackProjectionImageFilter', 'rtkCudaBackProjectionImageFilterCIF3', False, 'itk::CudaImage<float, 3>'),
  ('CudaBackProjectionImageFilter', 'rtk::CudaBackProjectionImageFilter', 'rtkCudaBackProjectionImageFilterCIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('CudaBackProjectionImageFilter', 'rtk::CudaBackProjectionImageFilter', 'rtkCudaBackProjectionImageFilterCIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('CudaBackProjectionImageFilter', 'rtk::CudaBackProjectionImageFilter', 'rtkCudaBackProjectionImageFilterCIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('CudaBackProjectionImageFilter', 'rtk::CudaBackProjectionImageFilter', 'rtkCudaBackProjectionImageFilterCIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('CudaConstantVolumeSource', 'rtk::CudaConstantVolumeSource', 'rtkCudaConstantVolumeSource', False),
  ('CudaDisplacedDetectorImageFilter', 'rtk::CudaDisplacedDetectorImageFilter', 'rtkCudaDisplacedDetectorImageFilter', False),
  ('CudaFDKConeBeamReconstructionFilter', 'rtk::CudaFDKConeBeamReconstructionFilter', 'rtkCudaFDKConeBeamReconstructionFilter', False),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF3CIF3FPCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::ForwardProjectionImageFilter< itk::CudaImage<float, 3>, itk::CudaImage<float, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF23CIVF23FPCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>, rtk::ForwardProjectionImageFilter< itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF33CIVF33FPCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>, rtk::ForwardProjectionImageFilter< itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF43CIVF43FPCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>, rtk::ForwardProjectionImageFilter< itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3> >'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIVF53CIVF53FPCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>, rtk::ForwardProjectionImageFilter< itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIF3CIF3FPCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::ForwardProjectionImageFilter< itk::CudaImage<float, 3>, itk::CudaImage<float, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF23CIVF23FPCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>, rtk::ForwardProjectionImageFilter< itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF33CIVF33FPCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>, rtk::ForwardProjectionImageFilter< itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF43CIVF43FPCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>, rtk::ForwardProjectionImageFilter< itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIVF53CIVF53FPCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>, rtk::ForwardProjectionImageFilter< itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3> >'),
  ('CudaForwardProjectionImageFilter', 'rtk::CudaForwardProjectionImageFilter', 'rtkCudaForwardProjectionImageFilterCIF3', False, 'itk::CudaImage<float, 3>'),
  ('CudaForwardProjectionImageFilter', 'rtk::CudaForwardProjectionImageFilter', 'rtkCudaForwardProjectionImageFilterCIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('CudaForwardProjectionImageFilter', 'rtk::CudaForwardProjectionImageFilter', 'rtkCudaForwardProjectionImageFilterCIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('CudaForwardProjectionImageFilter', 'rtk::CudaForwardProjectionImageFilter', 'rtkCudaForwardProjectionImageFilterCIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('CudaForwardProjectionImageFilter', 'rtk::CudaForwardProjectionImageFilter', 'rtkCudaForwardProjectionImageFilterCIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('CudaSplatImageFilter', 'rtk::CudaSplatImageFilter', 'rtkCudaSplatImageFilter', False),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIVF24IVF23', False, 'itk::Image<itk::Vector< float,2 >, 4>, itk::Image<itk::Vector< float,2 >, 3>'),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIVF34IVF33', False, 'itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIVF44IVF43', False, 'itk::Image<itk::Vector< float,4 >, 4>, itk::Image<itk::Vector< float,4 >, 3>'),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIVF54IVF53', False, 'itk::Image<itk::Vector< float,5 >, 4>, itk::Image<itk::Vector< float,5 >, 3>'),
  ('DCMImagXImageIO', 'rtk::DCMImagXImageIO', 'rtkDCMImagXImageIO', False),
  ('DCMImagXImageIOFactory', 'rtk::DCMImagXImageIOFactory', 'rtkDCMImagXImageIOFactory', False),
  ('DaubechiesWaveletsDenoiseSequenceImageFilter', 'rtk::DaubechiesWaveletsDenoiseSequenceImageFilter', 'rtkDaubechiesWaveletsDenoiseSequenceImageFilterIF4', False, 'itk::Image< float,4 >'),
  ('DaubechiesWaveletsDenoiseSequenceImageFilter', 'rtk::DaubechiesWaveletsDenoiseSequenceImageFilter', 'rtkDaubechiesWaveletsDenoiseSequenceImageFilterID4', False, 'itk::Image< double,4 >'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterIF4', False, 'itk::Image< float,4 >'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterID2', False, 'itk::Image< double,2 >'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterID3', False, 'itk::Image< double,3 >'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterID4', False, 'itk::Image< double,4 >'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterIF2ICVF22', False, 'itk::Image<float, 2>, itk::Image<itk::CovariantVector< float,2 >, 2>'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterID2ICVF22', False, 'itk::Image<double, 2>, itk::Image<itk::CovariantVector< float,2 >, 2>'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterIF3ICVF33', False, 'itk::Image<float, 3>, itk::Image<itk::CovariantVector< float,3 >, 3>'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterID3ICVF33', False, 'itk::Image<double, 3>, itk::Image<itk::CovariantVector< float,3 >, 3>'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterIF4ICVF44', False, 'itk::Image<float, 4>, itk::Image<itk::CovariantVector< float,4 >, 4>'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterID4ICVF44', False, 'itk::Image<double, 4>, itk::Image<itk::CovariantVector< float,4 >, 4>'),
  ('DigisensGeometryReader', 'rtk::DigisensGeometryReader', 'rtkDigisensGeometryReader', False),
  ('DisplacedDetectorForOffsetFieldOfViewImageFilter', 'rtk::DisplacedDetectorForOffsetFieldOfViewImageFilter', 'rtkDisplacedDetectorForOffsetFieldOfViewImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('DisplacedDetectorForOffsetFieldOfViewImageFilter', 'rtk::DisplacedDetectorForOffsetFieldOfViewImageFilter', 'rtkDisplacedDetectorForOffsetFieldOfViewImageFilterID3', False, 'itk::Image< double,3 >'),
  ('DisplacedDetectorImageFilter', 'rtk::DisplacedDetectorImageFilter', 'rtkDisplacedDetectorImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('DisplacedDetectorImageFilter', 'rtk::DisplacedDetectorImageFilter', 'rtkDisplacedDetectorImageFilterIF4', False, 'itk::Image< float,4 >'),
  ('DisplacedDetectorImageFilter', 'rtk::DisplacedDetectorImageFilter', 'rtkDisplacedDetectorImageFilterID3', False, 'itk::Image< double,3 >'),
  ('DisplacedDetectorImageFilter', 'rtk::DisplacedDetectorImageFilter', 'rtkDisplacedDetectorImageFilterID4', False, 'itk::Image< double,4 >'),
  ('DisplacedDetectorImageFilter', 'rtk::DisplacedDetectorImageFilter', 'rtkDisplacedDetectorImageFilterCIF2', False, 'itk::CudaImage<float, 2>'),
  ('DisplacedDetectorImageFilter', 'rtk::DisplacedDetectorImageFilter', 'rtkDisplacedDetectorImageFilterCIF3', False, 'itk::CudaImage<float, 3>'),
  ('DisplacedDetectorImageFilter', 'rtk::DisplacedDetectorImageFilter', 'rtkDisplacedDetectorImageFilterCIF4', False, 'itk::CudaImage<float, 4>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF3CIF3DDCIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::DisplacedDetectorImageFilter< itk::CudaImage<float, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIF3CIF3DDCIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::DisplacedDetectorImageFilter< itk::CudaImage<float, 3> >'),
  ('DrawConvexImageFilter', 'rtk::DrawConvexImageFilter', 'rtkDrawConvexImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawConvexImageFilter', 'rtk::DrawConvexImageFilter', 'rtkDrawConvexImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DrawEllipsoidImageFilter', 'rtk::DrawEllipsoidImageFilter', 'rtkDrawEllipsoidImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawEllipsoidImageFilter', 'rtk::DrawEllipsoidImageFilter', 'rtkDrawEllipsoidImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DrawGeometricPhantomImageFilter', 'rtk::DrawGeometricPhantomImageFilter', 'rtkDrawGeometricPhantomImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawGeometricPhantomImageFilter', 'rtk::DrawGeometricPhantomImageFilter', 'rtkDrawGeometricPhantomImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DrawSheppLoganFilter', 'rtk::DrawSheppLoganFilter', 'rtkDrawSheppLoganFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawSheppLoganFilter', 'rtk::DrawSheppLoganFilter', 'rtkDrawSheppLoganFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('EdfImageIO', 'rtk::EdfImageIO', 'rtkEdfImageIO', False),
  ('EdfImageIOFactory', 'rtk::EdfImageIOFactory', 'rtkEdfImageIOFactory', False),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterIF2IF2', False, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterIF4IF4', False, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterID2ID2', False, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterID4ID4', False, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ElektaSynergyGeometryReader', 'rtk::ElektaSynergyGeometryReader', 'rtkElektaSynergyGeometryReader', False),
  ('ElektaSynergyRawLookupTableImageFilter', 'rtk::ElektaSynergyRawLookupTableImageFilter', 'rtkElektaSynergyRawLookupTableImageFilterIUS2IUS2', False, 'itk::Image<unsigned short, 2>, itk::Image<unsigned short, 2>'),
  ('ElektaSynergyRawLookupTableImageFilter', 'rtk::ElektaSynergyRawLookupTableImageFilter', 'rtkElektaSynergyRawLookupTableImageFilterIUS3IUS3', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>'),
  ('ElektaXVI5GeometryXMLFileReader', 'rtk::ElektaXVI5GeometryXMLFileReader', 'rtkElektaXVI5GeometryXMLFileReader', False),
  ('ExtractPhaseImageFilter', 'rtk::ExtractPhaseImageFilter', 'rtkExtractPhaseImageFilterIF1', False, 'itk::Image<float, 1>'),
  ('ExtractPhaseImageFilter', 'rtk::ExtractPhaseImageFilter', 'rtkExtractPhaseImageFilterID1', False, 'itk::Image<double, 1>'),
  ('FDKBackProjectionImageFilter', 'rtk::FDKBackProjectionImageFilter', 'rtkFDKBackProjectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FDKBackProjectionImageFilter', 'rtk::FDKBackProjectionImageFilter', 'rtkFDKBackProjectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FDKBackProjectionImageFilter', 'rtk::FDKBackProjectionImageFilter', 'rtkFDKBackProjectionImageFilterCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF3CIF3FDKBPCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::FDKBackProjectionImageFilter< itk::CudaImage<float, 3>, itk::CudaImage<float, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIF3CIF3FDKBPCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::FDKBackProjectionImageFilter< itk::CudaImage<float, 3>, itk::CudaImage<float, 3> >'),
  ('FDKConeBeamReconstructionFilter', 'rtk::FDKConeBeamReconstructionFilter', 'rtkFDKConeBeamReconstructionFilterIF3', False, 'itk::Image<float, 3>'),
  ('FDKConeBeamReconstructionFilter', 'rtk::FDKConeBeamReconstructionFilter', 'rtkFDKConeBeamReconstructionFilterID3', False, 'itk::Image<double, 3>'),
  ('FDKConeBeamReconstructionFilter', 'rtk::FDKConeBeamReconstructionFilter', 'rtkFDKConeBeamReconstructionFilterCIF3CIF3F', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, float'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF3CIF3FDKCIF3F', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::FDKConeBeamReconstructionFilter< itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, float >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIF3CIF3FDKCIF3F', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, rtk::FDKConeBeamReconstructionFilter< itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, float >'),
  ('FDKWarpBackProjectionImageFilter', 'rtk::FDKWarpBackProjectionImageFilter', 'rtkFDKWarpBackProjectionImageFilterIF3IF3CDFIVF34IVF33', False, 'itk::Image<float, 3>, itk::Image<float, 3>, rtk::CyclicDeformationImageFilter< itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 3> >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterIF2', False, 'itk::Image< float,2 >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterIF3', False, 'itk::Image< float,3 >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterIF4', False, 'itk::Image< float,4 >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterID2', False, 'itk::Image< double,2 >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterID3', False, 'itk::Image< double,3 >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterID4', False, 'itk::Image< double,4 >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterCIF3CIF3F', False, 'itk::CudaImage<float, 3>'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterIF3IF3D', False, 'itk::Image<float, 3>, itk::Image<float, 3>, double'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterIF3IF3F', False, 'itk::Image<float, 3>, itk::Image<float, 3>, float'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterID3ID3D', False, 'itk::Image<double, 3>, itk::Image<double, 3>, double'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterID3ID3F', False, 'itk::Image<double, 3>, itk::Image<double, 3>, float'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterCIF3CIF3F', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, float'),
  ('FFTRampImageFilter', 'rtk::FFTRampImageFilter', 'rtkFFTRampImageFilterIF3IF3D', False, 'itk::Image<float, 3>, itk::Image<float, 3>, double'),
  ('FFTRampImageFilter', 'rtk::FFTRampImageFilter', 'rtkFFTRampImageFilterID3ID3D', False, 'itk::Image<double, 3>, itk::Image<double, 3>, double'),
  ('FFTRampImageFilter', 'rtk::FFTRampImageFilter', 'rtkFFTRampImageFilterCIF3CIF3F', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, float'),
  ('FieldOfViewImageFilter', 'rtk::FieldOfViewImageFilter', 'rtkFieldOfViewImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FieldOfViewImageFilter', 'rtk::FieldOfViewImageFilter', 'rtkFieldOfViewImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ForwardWarpImageFilter', 'rtk::ForwardWarpImageFilter', 'rtkForwardWarpImageFilterIF2IF2ICVF22', False, 'itk::Image<float, 2>, itk::Image<float, 2>, itk::Image< itk::CovariantVector<float, 2>, 2>'),
  ('ForwardWarpImageFilter', 'rtk::ForwardWarpImageFilter', 'rtkForwardWarpImageFilterIF3IF3ICVF33', False, 'itk::Image<float, 3>, itk::Image<float, 3>, itk::Image< itk::CovariantVector<float, 3>, 3>'),
  ('ForwardWarpImageFilter', 'rtk::ForwardWarpImageFilter', 'rtkForwardWarpImageFilterIF4IF4ICVF44', False, 'itk::Image<float, 4>, itk::Image<float, 4>, itk::Image< itk::CovariantVector<float, 4>, 4>'),
  ('FourDConjugateGradientConeBeamReconstructionFilter', 'rtk::FourDConjugateGradientConeBeamReconstructionFilter', 'rtkFourDConjugateGradientConeBeamReconstructionFilterCIF4CIF3', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 3>'),
  ('FourDConjugateGradientConeBeamReconstructionFilter', 'rtk::FourDConjugateGradientConeBeamReconstructionFilter', 'rtkFourDConjugateGradientConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('FourDConjugateGradientConeBeamReconstructionFilter', 'rtk::FourDConjugateGradientConeBeamReconstructionFilter', 'rtkFourDConjugateGradientConeBeamReconstructionFilterID4ID3', False, 'itk::Image<double, 4>, itk::Image<double, 3>'),
  ('FourDSARTConeBeamReconstructionFilter', 'rtk::FourDSARTConeBeamReconstructionFilter', 'rtkFourDSARTConeBeamReconstructionFilterCIF4CIF3', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 3>'),
  ('FourDSARTConeBeamReconstructionFilter', 'rtk::FourDSARTConeBeamReconstructionFilter', 'rtkFourDSARTConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('FourDSARTConeBeamReconstructionFilter', 'rtk::FourDSARTConeBeamReconstructionFilter', 'rtkFourDSARTConeBeamReconstructionFilterID4ID3', False, 'itk::Image<double, 4>, itk::Image<double, 3>'),
  ('FourDToProjectionStackImageFilter', 'rtk::FourDToProjectionStackImageFilter', 'rtkFourDToProjectionStackImageFilterIF3IF4', False, 'itk::Image<float, 3>, itk::Image<float, 4>'),
  ('FourDToProjectionStackImageFilter', 'rtk::FourDToProjectionStackImageFilter', 'rtkFourDToProjectionStackImageFilterID3ID4', False, 'itk::Image<double, 3>, itk::Image<double, 4>'),
  ('GeometricPhantom', 'rtk::GeometricPhantom', 'rtkGeometricPhantom', False),
  ('GeometricPhantomFileReader', 'rtk::GeometricPhantomFileReader', 'rtkGeometricPhantomFileReader', False),
  ('GlobalResourceProbe', 'rtk::GlobalResourceProbe', 'rtkGlobalResourceProbe', False),
  ('HisImageIO', 'rtk::HisImageIO', 'rtkHisImageIO', False),
  ('HisImageIOFactory', 'rtk::HisImageIOFactory', 'rtkHisImageIOFactory', False),
  ('HncImageIO', 'rtk::HncImageIO', 'rtkHncImageIO', False),
  ('HncImageIOFactory', 'rtk::HncImageIOFactory', 'rtkHncImageIOFactory', False),
  ('HndImageIO', 'rtk::HndImageIO', 'rtkHndImageIO', False),
  ('HndImageIOFactory', 'rtk::HndImageIOFactory', 'rtkHndImageIOFactory', False),
  ('I0EstimationProjectionFilter', 'rtk::I0EstimationProjectionFilter', 'rtkI0EstimationProjectionFilterIUS3IUS32', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>, 2'),
  ('ImagXImageIO', 'rtk::ImagXImageIO', 'rtkImagXImageIO', False),
  ('ImagXImageIOFactory', 'rtk::ImagXImageIOFactory', 'rtkImagXImageIOFactory', False),
  ('ImageToVectorImageFilter', 'rtk::ImageToVectorImageFilter', 'rtkImageToVectorImageFilterIF2VIF2', False, 'itk::Image<float, 2>, itk::VectorImage<float, 2>'),
  ('ImageToVectorImageFilter', 'rtk::ImageToVectorImageFilter', 'rtkImageToVectorImageFilterIF3VIF2', False, 'itk::Image<float, 3>, itk::VectorImage<float, 2>'),
  ('ImageToVectorImageFilter', 'rtk::ImageToVectorImageFilter', 'rtkImageToVectorImageFilterID2VID2', False, 'itk::Image<double, 2>, itk::VectorImage<double, 2>'),
  ('ImageToVectorImageFilter', 'rtk::ImageToVectorImageFilter', 'rtkImageToVectorImageFilterID3VID2', False, 'itk::Image<double, 3>, itk::VectorImage<double, 2>'),
  ('IntersectionOfConvexShapes', 'rtk::IntersectionOfConvexShapes', 'rtkIntersectionOfConvexShapes', False),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterCIF3CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterCIF4CIF3', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterID3', False, 'itk::Image< double,3 >'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterID4ID3', False, 'itk::Image<double, 4>, itk::Image<double, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIVF23IVF23', False, 'itk::Image<itk::Vector< float,2 >, 3>, itk::Image<itk::Vector< float,2 >, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterCIVF23CIVF23', False, 'itk::CudaImage<itk::Vector< float,2 >, 3>, itk::CudaImage<itk::Vector< float,2 >, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIVF33IVF33', False, 'itk::Image<itk::Vector< float,3 >, 3>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterCIVF33CIVF33', False, 'itk::CudaImage<itk::Vector< float,3 >, 3>, itk::CudaImage<itk::Vector< float,3 >, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIVF43IVF43', False, 'itk::Image<itk::Vector< float,4 >, 3>, itk::Image<itk::Vector< float,4 >, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterCIVF43CIVF43', False, 'itk::CudaImage<itk::Vector< float,4 >, 3>, itk::CudaImage<itk::Vector< float,4 >, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIVF53IVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>, itk::Image<itk::Vector< float,5 >, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterCIVF53CIVF53', False, 'itk::CudaImage<itk::Vector< float,5 >, 3>, itk::CudaImage<itk::Vector< float,5 >, 3>'),
  ('IterativeFDKConeBeamReconstructionFilter', 'rtk::IterativeFDKConeBeamReconstructionFilter', 'rtkIterativeFDKConeBeamReconstructionFilterCIF3CIF3D', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>, double'),
  ('IterativeFDKConeBeamReconstructionFilter', 'rtk::IterativeFDKConeBeamReconstructionFilter', 'rtkIterativeFDKConeBeamReconstructionFilterIF3IF3D', False, 'itk::Image<float, 3>, itk::Image<float, 3>, double'),
  ('IterativeFDKConeBeamReconstructionFilter', 'rtk::IterativeFDKConeBeamReconstructionFilter', 'rtkIterativeFDKConeBeamReconstructionFilterID3ID3D', False, 'itk::Image<double, 3>, itk::Image<double, 3>, double'),
  ('InterpolationWeightMultiplicationAttenuatedBackProjection', 'rtk::Functor::InterpolationWeightMultiplicationAttenuatedBackProjection', 'rtkFunctorInterpolationWeightMultiplicationAttenuatedBackProjectionFFF', False, 'float, float, float'),
  ('InterpolationWeightMultiplicationAttenuatedBackProjection', 'rtk::Functor::InterpolationWeightMultiplicationAttenuatedBackProjection', 'rtkFunctorInterpolationWeightMultiplicationAttenuatedBackProjectionDDD', False, 'double, double, double'),
  ('SplatWeightMultiplicationAttenuated', 'rtk::Functor::SplatWeightMultiplicationAttenuated', 'rtkFunctorSplatWeightMultiplicationFDF', False, 'float, double, float'),
  ('SplatWeightMultiplicationAttenuated', 'rtk::Functor::SplatWeightMultiplicationAttenuated', 'rtkFunctorSplatWeightMultiplicationDDD', False, 'double, double, double'),
  ('ComputeAttenuationCorrectionBackProjection', 'rtk::Functor::ComputeAttenuationCorrectionBackProjection', 'rtkComputeAttenuationCorrectionBackProjectionFF', False, 'float, float'),
  ('ComputeAttenuationCorrectionBackProjection', 'rtk::Functor::ComputeAttenuationCorrectionBackProjection', 'rtkComputeAttenuationCorrectionBackProjectionDD', False, 'double, double'),
  ('JosephBackProjectionImageFilter', 'rtk::JosephBackProjectionImageFilter', 'rtkJosephBackProjectionImageFilterIF3IF3SWMFDFIS', False, 'itk::Image<float, 3>, itk::Image< float, 3>, rtk::Functor::InterpolationWeightMultiplicationAttenuatedBackProjection<float, float, float>, rtk::Functor::SplatWeightMultiplicationAttenuated<float, double, float>, rtk::Functor::ComputeAttenuationCorrectionBackProjection<float, float>'),
  ('JosephBackProjectionImageFilter', 'rtk::JosephBackProjectionImageFilter', 'rtkJosephBackProjectionImageFilterID3ID3SWMDDDIS', False, 'itk::Image<double, 3>, itk::Image< double, 3>, rtk::Functor::InterpolationWeightMultiplicationAttenuatedBackProjection<double, double, double>, rtk::Functor::SplatWeightMultiplicationAttenuated<double, double, double>, rtk::Functor::ComputeAttenuationCorrectionBackProjection<double, double>'),
  ('JosephBackAttenuatedProjectionImageFilter', 'rtk::JosephBackAttenuatedProjectionImageFilter', 'rtkJosephBackAttenuatedProjectionImageFilterIF3IF3SWMFDF', False, 'itk::Image<float, 3>, itk::Image< float, 3>'),
  ('JosephBackAttenuatedProjectionImageFilter', 'rtk::JosephBackAttenuatedProjectionImageFilter', 'rtkJosephBackAttenuatedProjectionImageFilterID3ID3SWMDDD', False, 'itk::Image<double, 3>, itk::Image< double, 3>'),
  ('SplatWeightMultiplication', 'rtk::Functor::SplatWeightMultiplication', 'rtkFunctorSplatWeightMultiplicationFDF', False, 'float, double, float'),
  ('SplatWeightMultiplication', 'rtk::Functor::SplatWeightMultiplication', 'rtkFunctorSplatWeightMultiplicationDDD', False, 'double, double, double'),
  ('JosephBackProjectionImageFilter', 'rtk::JosephBackProjectionImageFilter', 'rtkJosephBackProjectionImageFilterIF3IF3SWMFDF', False, 'itk::Image<float, 3>, itk::Image< float, 3>'),
  ('JosephBackProjectionImageFilter', 'rtk::JosephBackProjectionImageFilter', 'rtkJosephBackProjectionImageFilterID3ID3SWMDDD', False, 'itk::Image<double, 3>, itk::Image< double, 3>'),
  ('InterpolationWeightMultiplicationAttenuated', 'rtk::Functor::InterpolationWeightMultiplicationAttenuated', 'rtkFunctorInterpolationWeightMultiplicationAttenuatedBackProjectionFFF', False, 'float, float, float'),
  ('InterpolationWeightMultiplicationAttenuated', 'rtk::Functor::InterpolationWeightMultiplicationAttenuated', 'rtkFunctorInterpolationWeightMultiplicationAttenuatedBackProjectionDDD', False, 'double, double, double'),
  ('ProjectedValueAccumulationAttenuated', 'rtk::Functor::ProjectedValueAccumulationAttenuated', 'rtkProjectedValueAccumulationAttenuatedFF', False, 'float, float'),
  ('ProjectedValueAccumulationAttenuated', 'rtk::Functor::ProjectedValueAccumulationAttenuated', 'rtkProjectedValueAccumulationAttenuatedDD', False, 'double, double'),
  ('ComputeAttenuationCorrection', 'rtk::Functor::ComputeAttenuationCorrection', 'rtkComputeAttenuationCorrectionFF', False, 'float, float'),
  ('ComputeAttenuationCorrection', 'rtk::Functor::ComputeAttenuationCorrection', 'rtkComputeAttenuationCorrectionDD', False, 'double, double'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIF3IF3SWMFDFIPC', False, 'itk::Image<float, 3>, itk::Image< float, 3>, rtk::Functor::InterpolationWeightMultiplicationAttenuated<float, float, float>, rtk::Functor::ProjectedValueAccumulationAttenuated<float, float>, rtk::Functor::ComputeAttenuationCorrection<float, float>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterID3ID3SWMDDDIPC', False, 'itk::Image<double, 3>, itk::Image< double, 3>, rtk::Functor::InterpolationWeightMultiplicationAttenuated<double, double, double>, rtk::Functor::ProjectedValueAccumulationAttenuated<double, double>, rtk::Functor::ComputeAttenuationCorrection<double, double>'),
  ('JosephForwardAttenuatedProjectionImageFilter', 'rtk::JosephForwardAttenuatedProjectionImageFilter', 'rtkJosephForwardAttenuatedProjectionImageFilterIF3IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>'),
  ('JosephForwardAttenuatedProjectionImageFilter', 'rtk::JosephForwardAttenuatedProjectionImageFilter', 'rtkJosephForwardAttenuatedProjectionImageFilterID3ID3', False, 'itk::Image<double, 3>, itk::Image<double, 3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIF3IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterID3ID3', False, 'itk::Image<double, 3>, itk::Image<double, 3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIVF23IVF23', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,2 >,3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIVF33IVF33', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,3 >,3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIVF43IVF43', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,4 >,3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIVF53IVF53', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,5 >,3>'),
  ('LUTbasedVariableI0RawToAttenuationImageFilter', 'rtk::LUTbasedVariableI0RawToAttenuationImageFilter', 'rtkLUTbasedVariableI0RawToAttenuationImageFilterIUS2IF2', False, 'itk::Image<unsigned short, 2>, itk::Image<float, 2>'),
  ('LUTbasedVariableI0RawToAttenuationImageFilter', 'rtk::LUTbasedVariableI0RawToAttenuationImageFilter', 'rtkLUTbasedVariableI0RawToAttenuationImageFilterIUS3IF3', False, 'itk::Image<unsigned short, 3>, itk::Image<float, 3>'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF31', False, 'itk::Image<float, 3>, 1'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF32', False, 'itk::Image<float, 3>, 2'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF33', False, 'itk::Image<float, 3>, 3'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF34', False, 'itk::Image<float, 3>, 4'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterID31', False, 'itk::Image<double, 3>, 1'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterID32', False, 'itk::Image<double, 3>, 2'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterID33', False, 'itk::Image<double, 3>, 3'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterID34', False, 'itk::Image<double, 3>, 4'),
  ('LastDimensionL0GradientDenoisingImageFilter', 'rtk::LastDimensionL0GradientDenoisingImageFilter', 'rtkLastDimensionL0GradientDenoisingImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('LastDimensionL0GradientDenoisingImageFilter', 'rtk::LastDimensionL0GradientDenoisingImageFilter', 'rtkLastDimensionL0GradientDenoisingImageFilterID3', False, 'itk::Image< double,3 >'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUIF', False, 'unsigned int, float'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUID', False, 'unsigned int, double'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUSF', False, 'unsigned short, float'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUSD', False, 'unsigned short, double'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUSUS', False, 'unsigned short, unsigned short'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI2IF2LUTUIF', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>, rtk::Functor::LUT< unsigned int, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI3IF3LUTUIF', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>, rtk::Functor::LUT< unsigned int, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI2ID2LUTUID', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>, rtk::Functor::LUT< unsigned int, double >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI3ID3LUTUID', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>, rtk::Functor::LUT< unsigned int, double >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS2IF2LUTUSF', False, 'itk::Image<unsigned short, 2>, itk::Image<float, 2>, rtk::Functor::LUT< unsigned short, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS3IF3LUTUSF', False, 'itk::Image<unsigned short, 3>, itk::Image<float, 3>, rtk::Functor::LUT< unsigned short, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS2ID2LUTUSD', False, 'itk::Image<unsigned short, 2>, itk::Image<double, 2>, rtk::Functor::LUT< unsigned short, double >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS3ID3LUTUSD', False, 'itk::Image<unsigned short, 3>, itk::Image<double, 3>, rtk::Functor::LUT< unsigned short, double >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS2IUS2LUTUSUS', False, 'itk::Image<unsigned short, 2>, itk::Image<unsigned short, 2>, rtk::Functor::LUT< unsigned short, unsigned short>'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS3IUS3LUTUSUS', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>, rtk::Functor::LUT< unsigned short, unsigned short>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUI2IF2', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUI3IF3', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUI2ID2', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUI3ID3', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS2IF2', False, 'itk::Image<unsigned short, 2>, itk::Image<float, 2>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS3IF3', False, 'itk::Image<unsigned short, 3>, itk::Image<float, 3>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS2ID2', False, 'itk::Image<unsigned short, 2>, itk::Image<double, 2>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS3ID3', False, 'itk::Image<unsigned short, 3>, itk::Image<double, 3>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS2IUS2', False, 'itk::Image<unsigned short, 2>, itk::Image<unsigned short, 2>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS3IUS3', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF23IVF23IF3', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,2 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF23CIVF23CIF3', False, 'itk::CudaImage<itk::Vector< float,2 >,3>, itk::CudaImage<itk::Vector< float,2 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF23IVF33IF3', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,3 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF23CIVF33CIF3', False, 'itk::CudaImage<itk::Vector< float,2 >,3>, itk::CudaImage<itk::Vector< float,3 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF23IVF43IF3', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,4 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF23CIVF43CIF3', False, 'itk::CudaImage<itk::Vector< float,2 >,3>, itk::CudaImage<itk::Vector< float,4 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF23IVF53IF3', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,5 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF23CIVF53CIF3', False, 'itk::CudaImage<itk::Vector< float,2 >,3>, itk::CudaImage<itk::Vector< float,5 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF23IF3', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,2 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF33CIVF23CIF3', False, 'itk::CudaImage<itk::Vector< float,3 >,3>, itk::CudaImage<itk::Vector< float,2 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF33IF3', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,3 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF33CIVF33CIF3', False, 'itk::CudaImage<itk::Vector< float,3 >,3>, itk::CudaImage<itk::Vector< float,3 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF43IF3', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,4 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF33CIVF43CIF3', False, 'itk::CudaImage<itk::Vector< float,3 >,3>, itk::CudaImage<itk::Vector< float,4 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF53IF3', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,5 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF33CIVF53CIF3', False, 'itk::CudaImage<itk::Vector< float,3 >,3>, itk::CudaImage<itk::Vector< float,5 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF43IVF23IF3', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,2 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF43CIVF23CIF3', False, 'itk::CudaImage<itk::Vector< float,4 >,3>, itk::CudaImage<itk::Vector< float,2 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF43IVF33IF3', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,3 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF43CIVF33CIF3', False, 'itk::CudaImage<itk::Vector< float,4 >,3>, itk::CudaImage<itk::Vector< float,3 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF43IVF43IF3', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,4 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF43CIVF43CIF3', False, 'itk::CudaImage<itk::Vector< float,4 >,3>, itk::CudaImage<itk::Vector< float,4 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF43IVF53IF3', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,5 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF43CIVF53CIF3', False, 'itk::CudaImage<itk::Vector< float,4 >,3>, itk::CudaImage<itk::Vector< float,5 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF53IVF23IF3', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,2 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF53CIVF23CIF3', False, 'itk::CudaImage<itk::Vector< float,5 >,3>, itk::CudaImage<itk::Vector< float,2 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF53IVF33IF3', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,3 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF53CIVF33CIF3', False, 'itk::CudaImage<itk::Vector< float,5 >,3>, itk::CudaImage<itk::Vector< float,3 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF53IVF43IF3', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,4 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF53CIVF43CIF3', False, 'itk::CudaImage<itk::Vector< float,5 >,3>, itk::CudaImage<itk::Vector< float,4 >,3>, itk::CudaImage<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF53IVF53IF3', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,5 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterCIVF53CIVF53CIF3', False, 'itk::CudaImage<itk::Vector< float,5 >,3>, itk::CudaImage<itk::Vector< float,5 >,3>, itk::CudaImage<float,3>'),
  ('MotionCompensatedFourDConjugateGradientConeBeamReconstructionFilter', 'rtk::MotionCompensatedFourDConjugateGradientConeBeamReconstructionFilter', 'rtkMotionCompensatedFourDConjugateGradientConeBeamReconstructionFilterCIF4CIF3', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 3>'),
  ('MotionCompensatedFourDConjugateGradientConeBeamReconstructionFilter', 'rtk::MotionCompensatedFourDConjugateGradientConeBeamReconstructionFilter', 'rtkMotionCompensatedFourDConjugateGradientConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('OSEMConeBeamReconstructionFilter', 'rtk::OSEMConeBeamReconstructionFilter', 'rtkOSEMConeBeamReconstructionFilterCIF4CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>'),
  ('OSEMConeBeamReconstructionFilter', 'rtk::OSEMConeBeamReconstructionFilter', 'rtkOSEMConeBeamReconstructionFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('OSEMConeBeamReconstructionFilter', 'rtk::OSEMConeBeamReconstructionFilter', 'rtkOSEMConeBeamReconstructionFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('OraGeometryReader', 'rtk::OraGeometryReader', 'rtkOraGeometryReader', False),
  ('OraImageIO', 'rtk::OraImageIO', 'rtkOraImageIO', False),
  ('OraImageIOFactory', 'rtk::OraImageIOFactory', 'rtkOraImageIOFactory', False),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterIF4', False, 'itk::Image< float,4 >'),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterID2', False, 'itk::Image< double,2 >'),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterID3', False, 'itk::Image< double,3 >'),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterID4', False, 'itk::Image< double,4 >'),
  ('PhaseGatingImageFilter', 'rtk::PhaseGatingImageFilter', 'rtkPhaseGatingImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('PhaseGatingImageFilter', 'rtk::PhaseGatingImageFilter', 'rtkPhaseGatingImageFilterID3', False, 'itk::Image< double,3 >'),
  ('PolynomialGainCorrectionImageFilter', 'rtk::PolynomialGainCorrectionImageFilter', 'rtkPolynomialGainCorrectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('PolynomialGainCorrectionImageFilter', 'rtk::PolynomialGainCorrectionImageFilter', 'rtkPolynomialGainCorrectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ProjectGeometricPhantomImageFilter', 'rtk::ProjectGeometricPhantomImageFilter', 'rtkProjectGeometricPhantomImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ProjectGeometricPhantomImageFilter', 'rtk::ProjectGeometricPhantomImageFilter', 'rtkProjectGeometricPhantomImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ProjectionGeometry', 'rtk::ProjectionGeometry', 'rtkProjectionGeometry3', False, '3'),
  ('ProjectionStackToFourDImageFilter', 'rtk::ProjectionStackToFourDImageFilter', 'rtkProjectionStackToFourDImageFilterCIF4CIF3D', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 3>, double'),
  ('ProjectionStackToFourDImageFilter', 'rtk::ProjectionStackToFourDImageFilter', 'rtkProjectionStackToFourDImageFilterIF4IF3D', False, 'itk::Image<float, 4>, itk::Image<float, 3>, double'),
  ('ProjectionStackToFourDImageFilter', 'rtk::ProjectionStackToFourDImageFilter', 'rtkProjectionStackToFourDImageFilterID4ID3D', False, 'itk::Image<double, 4>, itk::Image<double, 3>, double'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIUC2', False, 'itk::Image< unsigned char,2 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIUC3', False, 'itk::Image< unsigned char,3 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIUC4', False, 'itk::Image< unsigned char,4 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIF2', False, 'itk::Image< float,2 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIF3', False, 'itk::Image< float,3 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIF4', False, 'itk::Image< float,4 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderID2', False, 'itk::Image< double,2 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderID3', False, 'itk::Image< double,3 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderID4', False, 'itk::Image< double,4 >'),
  ('QuadricShape', 'rtk::QuadricShape', 'rtkQuadricShape', False),
  ('RayBoxIntersectionImageFilter', 'rtk::RayBoxIntersectionImageFilter', 'rtkRayBoxIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayBoxIntersectionImageFilter', 'rtk::RayBoxIntersectionImageFilter', 'rtkRayBoxIntersectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RayConvexIntersectionImageFilter', 'rtk::RayConvexIntersectionImageFilter', 'rtkRayConvexIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayConvexIntersectionImageFilter', 'rtk::RayConvexIntersectionImageFilter', 'rtkRayConvexIntersectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RayEllipsoidIntersectionImageFilter', 'rtk::RayEllipsoidIntersectionImageFilter', 'rtkRayEllipsoidIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayEllipsoidIntersectionImageFilter', 'rtk::RayEllipsoidIntersectionImageFilter', 'rtkRayEllipsoidIntersectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RayQuadricIntersectionImageFilter', 'rtk::RayQuadricIntersectionImageFilter', 'rtkRayQuadricIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayQuadricIntersectionImageFilter', 'rtk::RayQuadricIntersectionImageFilter', 'rtkRayQuadricIntersectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RegularizedConjugateGradientConeBeamReconstructionFilter', 'rtk::RegularizedConjugateGradientConeBeamReconstructionFilter', 'rtkRegularizedConjugateGradientConeBeamReconstructionFilterCIF3', False, 'itk::CudaImage<float, 3>'),
  ('RegularizedConjugateGradientConeBeamReconstructionFilter', 'rtk::RegularizedConjugateGradientConeBeamReconstructionFilter', 'rtkRegularizedConjugateGradientConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('RegularizedConjugateGradientConeBeamReconstructionFilter', 'rtk::RegularizedConjugateGradientConeBeamReconstructionFilter', 'rtkRegularizedConjugateGradientConeBeamReconstructionFilterID3', False, 'itk::Image< double,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIRGBUC3IRGBUC3', False, 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIRGBAUC3IRGBAUC3', False, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIVF23IVF23', False, 'itk::Image< itk::Vector< float,2 >,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIVF33IVF33', False, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIVF43IVF43', False, 'itk::Image< itk::Vector< float,4 >,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICVF23ICVF23', False, 'itk::Image< itk::CovariantVector< float,2 >,3 >, itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICVF33ICVF33', False, 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICVF43ICVF43', False, 'itk::Image< itk::CovariantVector< float,4 >,3 >, itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterISS3ISS3', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIUC3IUC3', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIUS3IUS3', False, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICD3ICD3', False, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICF3ICF3', False, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('SARTConeBeamReconstructionFilter', 'rtk::SARTConeBeamReconstructionFilter', 'rtkSARTConeBeamReconstructionFilterCIF4CIF3', False, 'itk::CudaImage<float, 3>, itk::CudaImage<float, 3>'),
  ('SARTConeBeamReconstructionFilter', 'rtk::SARTConeBeamReconstructionFilter', 'rtkSARTConeBeamReconstructionFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SARTConeBeamReconstructionFilter', 'rtk::SARTConeBeamReconstructionFilter', 'rtkSARTConeBeamReconstructionFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ScatterGlareCorrectionImageFilter', 'rtk::ScatterGlareCorrectionImageFilter', 'rtkScatterGlareCorrectionImageFilterIF3IF3F', False, 'itk::Image<float, 3>, itk::Image<float, 3>, float'),
  ('ScatterGlareCorrectionImageFilter', 'rtk::ScatterGlareCorrectionImageFilter', 'rtkScatterGlareCorrectionImageFilterID3ID3F', False, 'itk::Image<double, 3>, itk::Image<double, 3>, float'),
  ('SelectOneProjectionPerCycleImageFilter', 'rtk::SelectOneProjectionPerCycleImageFilter', 'rtkSelectOneProjectionPerCycleImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('SelectOneProjectionPerCycleImageFilter', 'rtk::SelectOneProjectionPerCycleImageFilter', 'rtkSelectOneProjectionPerCycleImageFilterID3', False, 'itk::Image< double,3 >'),
  ('SheppLoganPhantomFilter', 'rtk::SheppLoganPhantomFilter', 'rtkSheppLoganPhantomFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SheppLoganPhantomFilter', 'rtk::SheppLoganPhantomFilter', 'rtkSheppLoganPhantomFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SimplexSpectralProjectionsDecompositionImageFilter', 'rtk::SimplexSpectralProjectionsDecompositionImageFilter', 'rtkSimplexSpectralProjectionsDecompositionImageFilterVIF3VIF3VIF2IF2IF2', False, 'itk::VectorImage<float, 3>, itk::VectorImage<float, 3>, itk::VectorImage<float, 2>, itk::Image<float, 2>, itk::Image<float, 2>'),
  ('SimplexSpectralProjectionsDecompositionImageFilter', 'rtk::SimplexSpectralProjectionsDecompositionImageFilter', 'rtkSimplexSpectralProjectionsDecompositionImageFilterVID3VID3VIF2IF2IF2', False, 'itk::VectorImage<double, 3>, itk::VectorImage<double, 3>, itk::VectorImage<float, 2>, itk::Image<float, 2>, itk::Image<float, 2>'),
  ('SoftThreshold', 'rtk::Functor::SoftThreshold', 'rtkFunctorSoftThresholdFF', False, 'float, float'),
  ('SoftThreshold', 'rtk::Functor::SoftThreshold', 'rtkFunctorSoftThresholdDD', False, 'double, double'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIF3IF3STFF', False, 'itk::Image<float, 3>, itk::Image<float, 3>, rtk::Functor::SoftThreshold<float, float>'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterID3ID3STDD', False, 'itk::Image<double, 3>, itk::Image<double, 3>, rtk::Functor::SoftThreshold<double, double>'),
  ('SoftThresholdImageFilter', 'rtk::SoftThresholdImageFilter', 'rtkSoftThresholdImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SoftThresholdImageFilter', 'rtk::SoftThresholdImageFilter', 'rtkSoftThresholdImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SpectralForwardModelImageFilter', 'rtk::SpectralForwardModelImageFilter', 'rtkSpectralForwardModelImageFilterVIF3VIF3VIF2IF2IF2', False, 'itk::VectorImage<float, 3>, itk::VectorImage<float, 3>, itk::VectorImage<float, 2>, itk::Image<float, 2>, itk::Image<float, 2>'),
  ('SpectralForwardModelImageFilter', 'rtk::SpectralForwardModelImageFilter', 'rtkSpectralForwardModelImageFilterVID3VID3VIF2IF2IF2', False, 'itk::VectorImage<double, 3>, itk::VectorImage<double, 3>, itk::VectorImage<float, 2>, itk::Image<float, 2>, itk::Image<float, 2>'),
  ('SplatWithKnownWeightsImageFilter', 'rtk::SplatWithKnownWeightsImageFilter', 'rtkSplatWithKnownWeightsImageFilterCIF4CIF3', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 3>'),
  ('CudaImageToImageFilter', 'itk::CudaImageToImageFilter', 'itkCudaImageToImageFilterCIF4CIF4SplatCIF4CIF3', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 4>, rtk::SplatWithKnownWeightsImageFilter< itk::CudaImage<float, 4>, itk::CudaImage<float, 3> >'),
  ('CudaInPlaceImageFilter', 'itk::CudaInPlaceImageFilter', 'itkCudaInPlaceImageFilterCIF4CIF4SplatCIF4CIF3', False, 'itk::CudaImage<float, 4>, itk::CudaImage<float, 4>, rtk::SplatWithKnownWeightsImageFilter< itk::CudaImage<float, 4>, itk::CudaImage<float, 3> >'),
  ('SubSelectFromListImageFilter', 'rtk::SubSelectFromListImageFilter', 'rtkSubSelectFromListImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('SubSelectFromListImageFilter', 'rtk::SubSelectFromListImageFilter', 'rtkSubSelectFromListImageFilterID3', False, 'itk::Image< double,3 >'),
  ('SubSelectImageFilter', 'rtk::SubSelectImageFilter', 'rtkSubSelectImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('SubSelectImageFilter', 'rtk::SubSelectImageFilter', 'rtkSubSelectImageFilterID3', False, 'itk::Image< double,3 >'),
  ('ThreeDCircularProjectionGeometry', 'rtk::ThreeDCircularProjectionGeometry', 'rtkThreeDCircularProjectionGeometry', False),
  ('XMLReader', 'itk::XMLReader', 'itkXMLReader3DCPG', False, 'rtk::ThreeDCircularProjectionGeometry'),
  ('XMLReaderBase', 'itk::XMLReaderBase', 'itkXMLFile', False),
  ('ThreeDCircularProjectionGeometryXMLFileReader', 'rtk::ThreeDCircularProjectionGeometryXMLFileReader', 'rtkThreeDCircularProjectionGeometryXMLFileReader', False),
  ('XMLWriterBase', 'itk::XMLWriterBase', 'itkXMLWriterBase3DCPG', False, 'rtk::ThreeDCircularProjectionGeometry'),
  ('ThreeDCircularProjectionGeometryXMLFileWriter', 'rtk::ThreeDCircularProjectionGeometryXMLFileWriter', 'rtkThreeDCircularProjectionGeometryXMLFileWriter', False),
  ('TotalVariationDenoisingBPDQImageFilter', 'rtk::TotalVariationDenoisingBPDQImageFilter', 'rtkTotalVariationDenoisingBPDQImageFilterIF2ICVF22', False, 'itk::Image<float, 2>, itk::Image<itk::CovariantVector< float,2 >, 2>'),
  ('TotalVariationDenoisingBPDQImageFilter', 'rtk::TotalVariationDenoisingBPDQImageFilter', 'rtkTotalVariationDenoisingBPDQImageFilterIF3ICVF33', False, 'itk::Image<float, 3>, itk::Image<itk::CovariantVector< float,3 >, 3>'),
  ('TotalVariationDenoisingBPDQImageFilter', 'rtk::TotalVariationDenoisingBPDQImageFilter', 'rtkTotalVariationDenoisingBPDQImageFilterIF4ICVF44', False, 'itk::Image<float, 4>, itk::Image<itk::CovariantVector< float,4 >, 4>'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterIF4', False, 'itk::Image< float,4 >'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterID2', False, 'itk::Image< double,2 >'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterID3', False, 'itk::Image< double,3 >'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterID4', False, 'itk::Image< double,4 >'),
  ('VarianObiGeometryReader', 'rtk::VarianObiGeometryReader', 'rtkVarianObiGeometryReader', False),
  ('ObiAttenuation', 'rtk::Function::ObiAttenuation', 'rtkFunctionObiAttenuationUIF', False, 'unsigned int, float'),
  ('ObiAttenuation', 'rtk::Function::ObiAttenuation', 'rtkFunctionObiAttenuationUID', False, 'unsigned int, double'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI2IF2OAUIF', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>, rtk::Function::ObiAttenuation< unsigned int,float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI2ID2OAUID', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>, rtk::Function::ObiAttenuation< unsigned int,double >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI3IF3OAUIF', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>, rtk::Function::ObiAttenuation< unsigned int,float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI3ID3OAUID', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>, rtk::Function::ObiAttenuation< unsigned int,double >'),
  ('VarianObiRawImageFilter', 'rtk::VarianObiRawImageFilter', 'rtkVarianObiRawImageFilterIUI2IF2', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>'),
  ('VarianObiRawImageFilter', 'rtk::VarianObiRawImageFilter', 'rtkVarianObiRawImageFilterIUI2ID2', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>'),
  ('VarianObiRawImageFilter', 'rtk::VarianObiRawImageFilter', 'rtkVarianObiRawImageFilterIUI3IF3', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>'),
  ('VarianObiRawImageFilter', 'rtk::VarianObiRawImageFilter', 'rtkVarianObiRawImageFilterIUI3ID3', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>'),
  ('VarianProBeamGeometryReader', 'rtk::VarianProBeamGeometryReader', 'rtkVarianProBeamGeometryReader', False),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF2IF2', False, 'itk::VectorImage<float, 2>, itk::Image<float, 2>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF2IF3', False, 'itk::VectorImage<float, 2>, itk::Image<float, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF3IF3', False, 'itk::VectorImage<float, 3>, itk::Image<float, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF3IF4', False, 'itk::VectorImage<float, 3>, itk::Image<float, 4>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVID2ID2', False, 'itk::VectorImage<double, 2>, itk::Image<double, 2>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVID2ID3', False, 'itk::VectorImage<double, 2>, itk::Image<double, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVID3ID3', False, 'itk::VectorImage<double, 3>, itk::Image<double, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVID3ID4', False, 'itk::VectorImage<double, 3>, itk::Image<double, 4>'),
  ('WaterPrecorrectionImageFilter', 'rtk::WaterPrecorrectionImageFilter', 'rtkWaterPrecorrectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('WaterPrecorrectionImageFilter', 'rtk::WaterPrecorrectionImageFilter', 'rtkWaterPrecorrectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('XRadGeometryReader', 'rtk::XRadGeometryReader', 'rtkXRadGeometryReader', False),
  ('XRadImageIO', 'rtk::XRadImageIO', 'rtkXRadImageIO', False),
  ('XRadImageIOFactory', 'rtk::XRadImageIOFactory', 'rtkXRadImageIOFactory', False),
  ('XRadRawToAttenuationImageFilter', 'rtk::XRadRawToAttenuationImageFilter', 'rtkXRadRawToAttenuationImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('XRadRawToAttenuationImageFilter', 'rtk::XRadRawToAttenuationImageFilter', 'rtkXRadRawToAttenuationImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('XimImageIO', 'rtk::XimImageIO', 'rtkXimImageIO', False),
  ('XimImageIOFactory', 'rtk::XimImageIOFactory', 'rtkXimImageIOFactory', False),
  ('ZengBackProjectionImageFilter', 'rtk::ZengBackProjectionImageFilter', 'rtkZengBackProjectionImageFilterIF3IF3SWMFDF', False, 'itk::Image<float, 3>, itk::Image< float, 3>'),
  ('ZengBackProjectionImageFilter', 'rtk::ZengBackProjectionImageFilter', 'rtkZengBackProjectionImageFilterID3ID3SWMDDD', False, 'itk::Image<double, 3>, itk::Image< double, 3>'),
  ('ZengForwardProjectionImageFilter', 'rtk::ZengForwardProjectionImageFilter', 'rtkZengForwardProjectionImageFilterIF3IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>'),
  ('ZengForwardProjectionImageFilter', 'rtk::ZengForwardProjectionImageFilter', 'rtkZengForwardProjectionImageFilterID3ID3', False, 'itk::Image<double, 3>, itk::Image<double, 3>'),
)
factories = (("ImageIO","DCMImagX"),("ImageIO","His"),("ImageIO","Hnc"),("ImageIO","Hnd"),("ImageIO","ImagX"),("ImageIO","Ora"),("ImageIO","XRad"),("ImageIO","Xim"),)
